import { Resource } from "./model";
export interface CdkAppOptions {
    readonly constructName: string;
    readonly subcommand?: string;
    readonly appDir: string;
    readonly restArgs: string[];
    readonly region: string;
}
export declare function cdkApp(options: CdkAppOptions): Promise<void>;
export declare function displayAvailableCommands(resource: Resource): void;
export declare function runCommand(resource: Resource, subcommand: string, region: string, restArgs: string[]): Promise<void>;
