export declare const CONSTRUCT_COMMANDS_FILES: string[];
export declare class CommandStore {
    private readonly _commands;
    constructor();
    commandsForResourceType(fqn: string): ConstructCommands | undefined;
    findCommand(fqn: string, subcommand: string): Command | undefined;
}
interface ConstructCommands {
    [key: string]: Command;
}
interface Command {
    readonly exec?: string;
    readonly open?: string;
}
export {};
